<template>
    <div class="white-block main-block">
        <div class="center">
            <div class="title"><strong>Доступный лимит</strong></div>
            <div class="rubles">{{$installment.payment.current_limit|currency}} &#8381;</div>
            <button class="white" @click="$router.push({name: 'installment-partners'})">Где купить</button>
        </div>
        <div class="vertical-hr"></div>
        <div class="center">
            <div class="title">Задолженность</div>
            <div class="rubles">{{$installment.payment.current_arrear|currency}} &#8381;</div>
            <button class="white"
                    @click="$router.push({name: 'installment-schedule'})"
                    v-if="$installment.payment.current_arrear">
                График платежей
            </button>
        </div>
        <div class="vertical-hr"></div>
        <div class="center">
            <div class="title">Минимальный платеж</div>
            <div class="rubles">
                {{$installment.payment.current_minimal_payment|currency}} &#8381;
                <br>
                <span class="schedule_current_date">{{date}}</span>
            </div>
            <button class="new-blue"
                    v-if="$installment.payment.current_minimal_payment"
                    @click="$events.$emit('installment.block.pay', true)">
                Оплатить
            </button>
        </div>
    </div>
</template>

<script>
  export default {
    name: 'infoBlock',

    computed: {
      date () {
        return this.$installment.schedule.length ? 'до ' +  this.$dayjs(this.$installment.schedule[0].date).format('DD.MM.YYYY') : '';
      }
    }
  }
</script>

<style scoped>
    .schedule_current_date {
        font-size: 13px;
        color:#333;
    }
    button.new-blue {
        margin-top: -30px;
    }
</style>